Bug 1791838 - HCI overcloud deployment fails due to failure to create radosgw system user
Summary: HCI overcloud deployment fails due to failure to create radosgw system user
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 4.0
Hardware: Unspecified
OS: Linux
high
medium
Target Milestone: rc
: 4.0
Assignee: Guillaume Abrioux
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks: 1760354
TreeView+ depends on / blocked
 
Reported: 2020-01-16 15:14 UTC by Nathan Weinberg
Modified: 2020-01-31 12:49 UTC (History)
16 users (show)

Fixed In Version: ceph-ansible-4.0.12-1.el8cp, ceph-ansible-4.0.12-1.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-01-31 12:48:44 UTC
Target Upstream Version:


Attachments (Terms of Use)
ceph-ansible inventory (12.81 KB, text/plain)
2020-01-20 17:14 UTC, Francesco Pantano
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github ceph ceph-ansible pull 4961 0 None closed fix `container_exec_cmd` calls for --limit runs (bp #4956) 2020-03-11 05:54:04 UTC
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:48:59 UTC

Comment 2 John Fulton 2020-01-20 14:10:42 UTC
This command fails because the RGW container isn't running:

 radosgw-admin user create --uid={{ dashboard_rgw_api_user_id }} --system

So why is the RGW container not running?

Comment 7 Francesco Pantano 2020-01-20 17:14:13 UTC
Created attachment 1653996 [details]
ceph-ansible inventory

Comment 27 errata-xmlrpc 2020-01-31 12:48:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.